<?php
/*
 * How to Trigger a Filter in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/how-to-trigger-a-filter-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Exercise
 * ---------------------------------------------------------------------------*/

/*
 * Returns the lock status of a post.
 */
function ns_get_post_lock_status($post_ID){
    
    // 0: Unlocked; 1 (or non-zero): Locked
    $status = get_post_meta($post_ID, 'ns_lock_status', true) ? 0 : 1;
    
    /**
     * Filters the lock status of a post.
     * 
     * @param int $status   The current lock status of the post.
     * @param int $post_ID  The post ID.
     */
    return apply_filters('get_lock_status', $status, $post_ID);
}